Summary: English-Russian computer translator
Summary(ru_RU.KOI8-R):	-  (  )
Name:		prawda
Version:	0.1.1
Release:	alt4
License:	GPL
Group:		Text tools
Source:		%name-%version.tar.bz2
Source1:	%name-faq.html
Source2:	%name-html_grammar.tar.bz2
Source3:	%name-html_src.tar.bz2
URL:		http://www.prawda.newmail.ru

Patch0: %name-makefile.patch
#Patch1: %name-grammar_more.patch

Requires: XFree86-cyr_rfx-fonts-koi8-r 
Requires: %name-dicts %name-grammar

# Automatically added by buildreq on Thu Oct 16 2003
BuildRequires: XFree86-devel gcc-c++ libncurses-devel libstdc++-devel libtinfo-devel

%description
English-Russian translator is a programme which can can translate phrase to phrase grammatically correctly.
It has the following possibilities:
1) Choosing a variant from several possible,
2) New words and phrases can be added to the dictionary, you can make your own dictionary.
3) You can correct the algortihtm of the translation,
4) You can adopt the programme to translate from any other to any other languages( e.g. from Hindi to Urdu).


%description -l ru_RU.KOI8-R
- ,        .
  :
1)       
2)        ,    
3)    
4)         (      )

%package dicts
Summary: Dictionary for English-Russian computer translator	
Summary(ru_RU.KOI8-R):	  -  (  )
License:	GPL
Group:		Text tools
Requires: %name

%description dicts
English-Russian translator is a programme which can can translate phrase to phrase grammatically correctly.
It has the following possibilities:
1) Choosing a variant from several possible,
2) New words and phrases can be added to the dictionary, you can make your own dictionary.
3) You can correct the algortihtm of the translation,
4) You can adopt the programme to translate from any other to any other languages( e.g. from Hindi to Urdu).
This package includes dictionaries for prawda.

%description -l ru_RU.KOI8-R dicts
- ,        .
  :
1)       
2)        ,    
3)    
4)         (      )
      prawda.

%package grammar
Summary: Grammar description for English-Russian computer translator	
Summary(ru_RU.KOI8-R):	   -  (  )
License:	GPL
Group:		Text tools
Requires: %name

%description grammar
English-Russian translator is a programme which can can translate phrase to phrase grammatically correctly.
It has the following possibilities:
1) Choosing a variant from several possible,
2) New words and phrases can be added to the dictionary, you can make your own dictionary.
3) You can correct the algortihtm of the translation,
4) You can adopt the programme to translate from any other to any other languages( e.g. from Hindi to Urdu).
This package includes gramma description for prawda.

%description -l ru_RU.KOI8-R dicts
- ,        .
  :
1)       
2)        ,    
3)    
4)         (      )
       prawda.

%prep
%setup -qn %name-%version
cp %SOURCE1 ./
%patch0
#patch1
tar -xjf %SOURCE2 
tar -xjf %SOURCE3

%build
cd bin
make rpm-image

%install
%__install -pD -m644 face/slowo.xbm %buildroot/%_iconsdir/%name.xbm
cd bin
make install-rpm DESTDIR=$RPM_BUILD_ROOT
#make install ROOTDIR=$RPM_BUILD_ROOT
#cp -f %SOURCE2 %buildroot%_datadir/%name/doc
#cp -f %SOURCE3 %buildroot%_datadir/%name/doc
#mkdir -p $RPM_BUILD_ROOT%{_bindir}
#mkdir -p $RPM_BUILD_ROOT%{_datadir}/doc/%name-%version
#mkdir -p $RPM_BUILD_ROOT%{_datadir}/%name/dicts
#mkdir -p $RPM_BUILD_ROOT%{_datadir}/%name/dictsr
#mv -f  $RPM_BUILD_ROOT/prawda/bin/*    $RPM_BUILD_ROOT%{_bindir}/
#mv -f  $RPM_BUILD_ROOT/%_datadir/doc/prawda/*    $RPM_BUILD_ROOT%{_datadir}/doc/%name-%version/
#mv -f  $RPM_BUILD_ROOT/prawda/grammar  $RPM_BUILD_ROOT%{_datadir}/%name/
#mv -f  $RPM_BUILD_ROOT/prawda/dictsr/* $RPM_BUILD_ROOT%{_datadir}/%name/dictsr/
#mv -f  $RPM_BUILD_ROOT/prawda/dicts/*  $RPM_BUILD_ROOT%{_datadir}/%name/dicts/
%__ln_s %_datadir/doc/%name-%version $RPM_BUILD_ROOT%_datadir/%name/doc

# menu
%__cat <<__MENU__ >%name.menu
?package(%name): needs="x11" section="Office" \
title="Prawda" longtitle="English-Russian translator" \
command="%_bindir/%{name}_x" icon="%name.xbm"
__MENU__
%__install -pD -m644 %name.menu %buildroot%_menudir/%name

# skel entry
#__cat <<__SKEL__ >.%{name}rc
#size_y: 50
#size_x: 100
#path: %_datadir/%name
#font: -misc_koi8_1-fixed-medium-r-semicondensed--13-120-75-75-c-60-koi8-r
#__SKEL__
#__install -pD -m644 .%{name}rc %buildroot%_sysconfdir/skel/.%{name}rc

%post
%update_menus

%post dicts
%{_bindir}/zcompress1 e %{_datadir}/prawda/dicts %{_datadir}/prawda/dictsr
%{_bindir}/zfrasa_verb  %{_datadir}/prawda/dicts
rm -rf %{_datadir}/prawda/dictsr

%postun
%clean_menus

#%preun
#rm -rf %{_datadir}/prawda/dicts

%files
%doc doc/help doc/about.txt doc/comrade.txt doc/preproc.txt doc/install.txt doc/programmer.txt Readme.before 
%doc %name-faq.html
%doc doc/latex
%doc html_src
%doc html_grammar

%_datadir/%name/doc
%_bindir/prawda
%_bindir/prawda_x
%_menudir/%name
#_sysconfdir/skel/.%{name}rc
%_iconsdir/%name.xbm

%files dicts
%_bindir/zcompress1
%_bindir/zfrasa_verb
%_datadir/%name/dicts/*
%_datadir/%name/dictsr/*

%files grammar
%_datadir/%name/grammar/*

%changelog
* Tue Nov 04 2003 Egor S. Orlov <oes@altlinux.ru> 0.1.1-alt4
- fixed Bug #3224 

* Thu Oct 16 2003 Egor S. Orlov <oes@altlinux.ru> 0.1.1-alt3
- separate sources for docs 
- remove skel entry

* Sat Oct 04 2003 Egor S. Orlov <oes@altlinux.ru> 0.1.1-alt2
- Minor spec fixes 
- Fixed menu file
- Added faq

* Sun Sep 28 2003 Egor S. Orlov <oes@altlinux.ru> 0.1.1-alt1
- Version 0.1.1
- Split to packages prawda, prawda-dicts, prawda-grammar

* Thu Aug 28 2003 Egor S. Orlov <oes@altlinux.ru> 0.1.0-alt0.3
- Added menu item
- Remove grammar documentation (temporary)
- Added skel entry 

* Thu Aug 28 2003 Egor S. Orlov <oes@altlinux.ru> 0.1.0-alt0.2
- Added help link

* Thu Aug 28 2003 Egor S. Orlov <oes@altlinux.ru> 0.1.0-alt0.1
- Build for ALT 

* Fri Aug 22 2003 Sergey Krinitsin <Sergey_Krinitsin@tut.by>
-    
-   zcompress1   .

* Thu Aug 7 2003 Sergey Krinitsin <Sergey_Krinitsin@tut.by>
-  

